$(document).ready(function(){
　　$("input[type='text']").addClass('input_blur');
　　$("input[type='adminpass']").addClass('input_blur');
    $("input[type='submit']").addClass('button_style');
    $("input[type='reset']").addClass('button_style');
    $("input[type='button']").addClass('button_style');
    $("input[type='radio']").addClass('radio_style');
    $("input[type='checkbox']").addClass('checkbox_style');
    $("input[type='textarea']").addClass('textarea_style');
    $("input[type='file']").addClass('file_style');
　　$("input[type='file']").blur(function () { this.className='input_blur'; } );
　　$("input[type='file']").focus(function () { this.className='input_focus'; } );
　　$("input[type='adminpass']").blur(function () { this.className='input_blur'; } );
　　$("input[type='adminpass']").focus(function () { this.className='input_focus'; } );
　　$("input[type='text']").blur(function () { this.className='input_blur'; } );
　　$("input[type='text']").focus(function () { this.className='input_focus'; } );
    $("textarea").blur(function () { this.className='textarea_style'; } );
　　$("textarea").focus(function () { this.className='textarea_focus'; } )
　　$(".table_list tr").mouseover(function () { this.className='mouseover'; } );
　　$(".table_list tr").mouseout(function () { this.className=''; } );
　　$("#title").focus(function () { this.className='inputtitle'; } );
　　$("#title").blur(function () { this.className='inputtitle'; } );

    $('img[tag]').css({cursor:'pointer'}).click(function(){
       var flag=$(this).attr('tag');
       var fck=$('#'+$(this).attr('fck')+'___Frame');

       var fckh=fck.height();
       (flag==1)?fck.height(fckh+120):fck.height(fckh-120) ;
    });

});
function checkform()
{
	if($('#username').val()=='')
	{
		alert('请输入会员名称！');
		$('#username').focus();
		return false;
	}
	if($('#username').val().length<5 || $('#username').val().length>20)
	{
		alert('会员帐号不能少于5个字符或者大于20个字符');
		return false;
	}
	if($('#adminpass').val().length<5 || $('#adminpass').val().length>20)
	{
		alert('会员密码不能少于5个字符或者大于20个字符');
		return false;
	}
	if($('#adminpass').val()!=$('#pwdconfirm').val())
	{
		alert('两次输入密码不一致！');
		return false;
	}
	if($('#demail').val()=='')
	{
		alert('请输入E-mail！');
		$('#demail').focus();
		return false;
	}
	else
	{
		var emailPattern = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
		if (emailPattern.test($('#demail').val())==false)
		{
			alert('请填写正确的E-mail！');
			return false;
		}
	}
	if($('#dquestion').val()=='')
	{
		alert('请输入提示问题！');
		$('#dquestion').focus();
		return false;
	}
	if($('#danswer').val()=='')
	{
		alert('请输入问题答案！');
		$('#danswer').focus();
		return false;
	}
	$('#install').submit();
    return false;
}
function suggestPassword() {
    var pwchars = "abcdefhjmnpqrstuvwxyz23456789ABCDEFGHJKLMNPQRSTUVWYXZ!@#$%^&*()";
    var passwordlength = 8;    // do we want that to be dynamic?  no, keep it simple :)
    var passwd = '';
    for ( i = 0; i < passwordlength; i++ ) {
        passwd += pwchars.charAt( Math.floor( Math.random() * pwchars.length ) )
    }
    return passwd;
}